#
# spec file for package gnome-2048
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-2048
Version:        3.20.2
Release:        2.2
Summary:        Sliding block puzzle game
License:        GPL-3.0+
Group:          Amusements/Games/Board/Puzzle
Url:            https://wiki.gnome.org/Apps/2048
Source:         http://download.gnome.org/sources/gnome-2048/3.20/%{name}-%{version}.tar.xz
BuildRequires:  appstream-glib-devel
BuildRequires:  intltool >= 0.50
BuildRequires:  itstool
BuildRequires:  libxml2-tools
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.24.0
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(clutter-1.0) >= 1.12.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.6.0
BuildRequires:  pkgconfig(gee-0.8) >= 0.14.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
BuildRequires:  pkgconfig(libgames-support-1.0) >= 0.90
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{glib2_gsettings_schema_requires}

%description
2048 is a single-player sliding block puzzle game, in which the
objective is to slide and merge same-numbered tiles on a grid to
reach higher numbers.

%lang_package

%prep
%setup -q

%build
%configure

%install
%make_install
%suse_update_desktop_file org.gnome.gnome-2048 Games Amusement
%find_lang %{name}

%post
%{glib2_gsettings_schema_post}

%postun
%{glib2_gsettings_schema_postun}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/gnome-2048
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.gnome-2048.appdata.xml
%{_datadir}/applications/org.gnome.gnome-2048.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.2048.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-2048*

%files lang -f %{name}.lang

%changelog
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Bugs fixed: bgo#765825.
* Thu Apr 14 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + New hires icon.
  + Updated translations.
* Wed Feb 17 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + +Changes for this release are mainly some code cleanings.
- Changes from version 3.19.4:
  + Make new game work in if game does not exist.
  + Fixed new game glitch.
  + Stop using deprecated gnome-common.
  + Add pre-commit and pre-applypatch hooks.
  + Fixed congrat message.
  + Undo score changes with undo.
  + Disable undo on new game.
  + Updated translations.
* Thu Nov 12 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Fix starting game for the first time.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Adapt to libgames-support .pc name change.
  + libgames-support now has an API-versioned vapi file.
  + Show window after creating scores dialog.
  + Dynamically set version in about dialog.
  + Updated translations.
- Replace pkgconfig(libgames-support) for
  pkgconfig(libgames-support-1.0) BuildRequires due to name change.
* Wed Jun 24 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Initial tarball release.
  + Updated translations.
- Drop gnome-common and NOCONFIGURE call, bootstraping no longer
  needed as we are using a tarball release now.
- Add intltool, itstool and libxml2-tools BuildRequires: They were
  pulled in by gnome-common before.
* Wed Jun 24 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata for openSUSE 42.
* Mon Mar 30 2015 dimstar@opensuse.org
- Initial package, based on git snapshot (no release available
  yet).
